NX Open C++ Reference Guide
|
Represents a solution in the .sim files. More...
Public Types | |
enum | SetupCheckOption { SetupCheckOptionDoNotCheck, SetupCheckOptionCheckAndStopAtFirstError, SetupCheckOptionCompleteCheckAndOutputErrors } |
Model Setup Check Options. More... | |
enum | SolveOption { SolveOptionSolve, SolveOptionWriteSolverInputFile, SolveOptionSolveInputFile, SolveOptionWriteEditAndSolveInputFile, SolveOptionEditSolverInputFile } |
Solve Options. More... | |
Public Member Functions | |
NXOpen::CAE::SimSolutionStep * | ActiveStep () |
Returns the active step Created in NX4.0.0. | |
void | AddBc (NXOpen::CAE::SimBC *bc) |
Add the bc to the solution Only the BC that not under the folder can be added to solution. | |
void | AddFolder (NXOpen::CAE::SimLbcFolder *folder) |
Add the folder to the solution Only the folder not under other folder can be added to solution. | |
void | AddStep (NXOpen::CAE::SimSolutionStep *step) |
Adds a step to the solution. | |
int | AllowedStepTypeCount () |
Returns the count of allowable step types. | |
NXString | AnalysisType () |
Returns the analysis type. | |
void | ApplySolverLanguageExportOptions (NXOpen::CAE::CaeDataContainer *propertyList) |
Stores the solver language export options to the specified solution. | |
NXOpen::CAE::CompanionResultCollection * | CompanionResults () |
Returns the CAE Companion Results collection belonging to this Solution Created in NX7.5.0. | |
int | ConflictingConstraintsCount () |
Returns the number of conflicting constraint pairs in this solution Created in NX8.0.0. | |
NXOpen::CAE::CorrelAlignmentBuilder * | CreateAlignmentBuilder () |
Creates the builder object for test and imported solution alignment dialog. | |
NXOpen::CAE::ConstraintResolutionBuilder * | CreateConstraintResolutionBuilder (NXOpen::CAE::SimGroupContainer *tStep, NXOpen::CAE::SimConstraint *tConstraint1, NXOpen::CAE::SimConstraint *tConstraint2) |
Creates a constraint resolution builder for this input pair of constraints. | |
NXOpen::CAE::SimSolutionStep * | CreateStep (int stepType, const NXString &stepName) |
Creates a step and add to the solution. | |
NXOpen::CAE::SimSolutionStep * | CreateStep (int stepType, const char *stepName) |
Creates a step and add to the solution. | |
NXOpen::CAE::SimSolutionStep * | CreateStep (int stepType, bool makeActive, const NXString &stepName) |
Creates a step, adds it to the solution and optionally makes it the Active Step. | |
NXOpen::CAE::SimSolutionStep * | CreateStep (int stepType, bool makeActive, const char *stepName) |
Creates a step, adds it to the solution and optionally makes it the Active Step. | |
void | DeleteStep (NXOpen::CAE::SimSolutionStep *step) |
Removes a step from the solution. | |
std::vector< NXOpen::CAE::SimBC * > | GetBcs () |
Gets all the BCs in this solution. | |
void | GetConflictingConstraintPairByIndex (int index, NXOpen::CAE::SimConstraint **tConstrain1, NXOpen::CAE::SimConstraint **tConstrain2, bool *ignored) |
Returns the nth conflicting constraint pair, where the index is between 0 and CAE::SimSolution::ConflictingConstraintsCount - 1 Created in NX8.0.0. | |
std::vector < NXOpen::CAE::SimLbcFolder * > | GetFolders () |
Gets all the root folders in this solution. | |
NXString | GetManagedResultFile () |
Get the managed result file name. | |
void | GetResultFile (NXString *resultfiledir, NXString *resfilename) |
Get the result file directory and result file name Created in NX8.5.0. | |
void | GetResultFileUnits (std::vector< NXOpen::Unit * > &units) |
Get basic 6 units which are stored with solution used for loading the result file Created in NX8.5.0. | |
NXOpen::CAE::SimSolutionStep * | GetStepByIndex (int stepIndex) |
Returns the step at the index passed. | |
std::vector< NXOpen::CAE::SimBC * > | GetUnfolderedBcs () |
Gets all the unfoldered BCs in this solution. | |
NXOpen::CAE::PropertyTable * | PropertyTable () |
Returns the property table associated with the solution object Created in NX4.0.0. | |
void | RemoveAllConstraints () |
Remove all constraints from the solution. | |
void | RemoveAllLoads () |
Remove all loads from the solution. | |
void | RemoveAllSimulationObjects () |
Remove all simulation objects from the solution. | |
void | RemoveBc (NXOpen::CAE::SimBC *bc) |
Remove the bc from the solution Only the BC that not under the folder can be remove from solution. | |
void | RemoveFolder (NXOpen::CAE::SimLbcFolder *folder) |
Remove the folder from the solution Only the folder not under other folder can be removed from solution. | |
void | Rename (const NXString &name, bool renameResults) |
Rename Solution and optionally rename associated results files Created in NX6.0.2. | |
void | Rename (const char *name, bool renameResults) |
Rename Solution and optionally rename associated results files Created in NX6.0.2. | |
void | ResolveConstraintConflicts () |
Runs the Assisted Conflict Check Mechanism for all constraints CAE::SimConstraint in an active solution CAE::SimSolution and/or in an active step CAE::SimSolutionStep , generating new constraints CAE::SimConstraint if there is any conflcit between the constraints. | |
void | SetActiveStep (NXOpen::CAE::SimSolutionStep *activeStep) |
Sets the active step Created in NX4.0.0. | |
void | SetFemValidInPost (bool valid) |
Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model Created in NX8.5.0. | |
void | SetInferredResultFile () |
Clear previously specified result file location Created in NX8.5.0. | |
void | SetInferredResultFileUnits () |
Clears previously specified result file units Created in NX8.5.0. | |
void | SetLocalResultFile (const NXString &dirpath, const NXString &filename) |
Specify local result file Created in NX8.5.0. | |
void | SetLocalResultFile (const char *dirpath, const char *filename) |
Specify local result file Created in NX8.5.0. | |
void | SetManagedResultFile (const NXString &file) |
Specify managed result file Created in NX8.5.0. | |
void | SetManagedResultFile (const char *file) |
Specify managed result file Created in NX8.5.0. | |
void | SetResultFileUnits (const std::vector< NXOpen::Unit * > &units) |
Set result file units Created in NX8.5.0. | |
void | SetTimePropsFromConditionSequence (NXOpen::CAE::SimConditionSequence *conditionSeqeunce) |
Set the time properties for this solution based on the given condition sequences Created in NX9.0.0. | |
void | SetTimePropsFromConditionSequence (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, int numSteps) |
Set the time properties for this solution based on the given condition sequences and number of integration steps. | |
void | SetTimePropsFromConditionSequence (NXOpen::CAE::SimConditionSequence *conditionSeqeunce, double stepSize, NXOpen::Unit *stepUnit) |
Set the time properties for this solution based on the given condition sequences and integration step size. | |
NXString | SolutionType () |
Returns the solution type. | |
void | Solve (NXOpen::CAE::SimSolution::SolveOption solveOption, NXOpen::CAE::SimSolution::SetupCheckOption setupCheckOption) |
Solves the solution. | |
NXOpen::CAE::PropertyTable * | SolverOptionsPropertyTable () |
Returns the property table associated with the solution's solver options Created in NX6.0.2. | |
NXString | SolverType () |
Returns the solver type. | |
int | StepCount () |
Returns the number of steps. | |
![]() | |
NXOpen::CAE::SimConstraintGroup * | CreateConstraintGroup () |
Creates a constraint group for a solution or solution step. | |
NXOpen::CAE::SimLoadGroup * | CreateLoadGroup () |
Creates a load group for a solution or solution step. | |
NXOpen::CAE::SimSimulationObjectGroup * | CreateSimulationObjectGroup () |
Creates a simulation object group for a solution or solution step. | |
void | DeleteGroup (NXOpen::CAE::SimBcGroup *lbGroup) |
Deletes a BC group from this group container. | |
int | GetGroupCount () |
Returns the number of groups in this container. | |
std::vector < NXOpen::CAE::SimBcGroup * > | GetGroups () |
Gets the BC groups in this group container. | |
bool | IsConstraintGroupAllowed () |
Returns a value indicating whether a constraint group is allowed for this group container. | |
bool | IsLoadGroupAllowed () |
Returns a value indicating whether a load group is allowed for this group container. | |
bool | IsSimulationObjectGroupAllowed () |
Returns a value indicating whether a simulation object group is allowed for this group container. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Represents a solution in the .sim files.
For more information, refer to the Solver language documentation in the <a href="../opencae/Solvers.html"> Solver language documentation </a>. <br> To create a new instance of this class, use @link CAE::SimSimulation::CreateSolution CAE::SimSimulation::CreateSolution @endlink <br>
Created in NX4.0.0.
Model Setup Check Options.
Solve Options.
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::ActiveStep | ( | ) |
Returns the active step
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::AddBc | ( | NXOpen::CAE::SimBC * | bc | ) |
Add the bc to the solution Only the BC that not under the folder can be added to solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bc | the bc to be added |
void NXOpen::CAE::SimSolution::AddFolder | ( | NXOpen::CAE::SimLbcFolder * | folder | ) |
Add the folder to the solution Only the folder not under other folder can be added to solution.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
folder | the folder to be added |
void NXOpen::CAE::SimSolution::AddStep | ( | NXOpen::CAE::SimSolutionStep * | step | ) |
Adds a step to the solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
step | solution step to be added |
int NXOpen::CAE::SimSolution::AllowedStepTypeCount | ( | ) |
Returns the count of allowable step types.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXString NXOpen::CAE::SimSolution::AnalysisType | ( | ) |
Returns the analysis type.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::ApplySolverLanguageExportOptions | ( | NXOpen::CAE::CaeDataContainer * | propertyList | ) |
Stores the solver language export options to the specified solution.
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
propertyList | the export option parameters. See CAE::CaeSession::GetDataContainer . |
NXOpen::CAE::CompanionResultCollection* NXOpen::CAE::SimSolution::CompanionResults | ( | ) |
Returns the CAE Companion Results collection belonging to this Solution
Created in NX7.5.0.
int NXOpen::CAE::SimSolution::ConflictingConstraintsCount | ( | ) |
Returns the number of conflicting constraint pairs in this solution
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::CorrelAlignmentBuilder* NXOpen::CAE::SimSolution::CreateAlignmentBuilder | ( | ) |
Creates the builder object for test and imported solution alignment dialog.
NXOpen::CAE::ConstraintResolutionBuilder* NXOpen::CAE::SimSolution::CreateConstraintResolutionBuilder | ( | NXOpen::CAE::SimGroupContainer * | tStep, |
NXOpen::CAE::SimConstraint * | tConstraint1, | ||
NXOpen::CAE::SimConstraint * | tConstraint2 | ||
) |
Creates a constraint resolution builder for this input pair of constraints.
tStep | solution step. can be same as solution |
tConstraint1 | first constraint in conflict |
tConstraint2 | second constraint in conflict |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep | ( | int | stepType, |
const NXString & | stepName | ||
) |
Creates a step and add to the solution.
@return step @link CAE::SimSolutionStep CAE::SimSolutionStep@endlink to be added
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
stepType | index of the step type |
stepName | name of the step NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep | ( | int | stepType, |
const char * | stepName | ||
) |
Creates a step and add to the solution.
@return step @link CAE::SimSolutionStep CAE::SimSolutionStep@endlink to be added
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
stepType | index of the step type |
stepName | name of the step NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep | ( | int | stepType, |
bool | makeActive, | ||
const NXString & | stepName | ||
) |
Creates a step, adds it to the solution and optionally makes it the Active Step.
Making it the active step will also make the Solution active if it is not already.
stepType | index of the step type |
makeActive | if true the step will be made the active step |
stepName | name of the step NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::CreateStep | ( | int | stepType, |
bool | makeActive, | ||
const char * | stepName | ||
) |
Creates a step, adds it to the solution and optionally makes it the Active Step.
Making it the active step will also make the Solution active if it is not already.
stepType | index of the step type |
makeActive | if true the step will be made the active step |
stepName | name of the step NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimSolution::DeleteStep | ( | NXOpen::CAE::SimSolutionStep * | step | ) |
Removes a step from the solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
step | step CAE::SimSolutionStep to be added |
std::vector<NXOpen::CAE::SimBC *> NXOpen::CAE::SimSolution::GetBcs | ( | ) |
Gets all the BCs in this solution.
@return Resultant bcs
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::GetConflictingConstraintPairByIndex | ( | int | index, |
NXOpen::CAE::SimConstraint ** | tConstrain1, | ||
NXOpen::CAE::SimConstraint ** | tConstrain2, | ||
bool * | ignored | ||
) |
Returns the nth conflicting constraint pair, where the index is between 0 and CAE::SimSolution::ConflictingConstraintsCount - 1
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
index | index of the conflicting constraint pair, which is between 0 and CAE::SimSolution::ConflictingConstraintsCount - 1 |
tConstrain1 | constraint1 for this constraint pair |
tConstrain2 | constraint2 for this constraint pair |
ignored | indicates that this conflict pair was previously resolved using the CAE::ConstraintResolutionBuilder::RuleIgnoreConflict |
std::vector<NXOpen::CAE::SimLbcFolder *> NXOpen::CAE::SimSolution::GetFolders | ( | ) |
Gets all the root folders in this solution.
@return Resultant bcs
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXString NXOpen::CAE::SimSolution::GetManagedResultFile | ( | ) |
Get the managed result file name.
Get the result file directory and result file name
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
resultfiledir | directly path where result file is stored |
resfilename | result file name |
void NXOpen::CAE::SimSolution::GetResultFileUnits | ( | std::vector< NXOpen::Unit * > & | units | ) |
Get basic 6 units which are stored with solution used for loading the result file
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
units | 6 basic units used to define the quantities in result file in order of mass, length, time, temperature, angle, and thermal energy |
NXOpen::CAE::SimSolutionStep* NXOpen::CAE::SimSolution::GetStepByIndex | ( | int | stepIndex | ) |
Returns the step at the index passed.
@return step @link CAE::SimSolutionStep CAE::SimSolutionStep@endlink at the index
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
stepIndex | index of the step |
std::vector<NXOpen::CAE::SimBC *> NXOpen::CAE::SimSolution::GetUnfolderedBcs | ( | ) |
Gets all the unfoldered BCs in this solution.
@return Resultant bcs
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXOpen::CAE::PropertyTable* NXOpen::CAE::SimSolution::PropertyTable | ( | ) |
Returns the property table associated with the solution object
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::RemoveAllConstraints | ( | ) |
Remove all constraints from the solution.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::RemoveAllLoads | ( | ) |
Remove all loads from the solution.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::RemoveAllSimulationObjects | ( | ) |
Remove all simulation objects from the solution.
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::RemoveBc | ( | NXOpen::CAE::SimBC * | bc | ) |
Remove the bc from the solution Only the BC that not under the folder can be remove from solution.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bc | the bc to be removed |
void NXOpen::CAE::SimSolution::RemoveFolder | ( | NXOpen::CAE::SimLbcFolder * | folder | ) |
Remove the folder from the solution Only the folder not under other folder can be removed from solution.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
folder | the folder to be removed |
void NXOpen::CAE::SimSolution::Rename | ( | const NXString & | name, |
bool | renameResults | ||
) |
Rename Solution and optionally rename associated results files
Created in NX6.0.2.
License requirements : None
name | new solution name NOTE: The full Unicode character set is not supported for this parameter. |
renameResults | true if you what associated results files to be renamed as well |
void NXOpen::CAE::SimSolution::Rename | ( | const char * | name, |
bool | renameResults | ||
) |
Rename Solution and optionally rename associated results files
Created in NX6.0.2.
License requirements : None
name | new solution name NOTE: The full Unicode character set is not supported for this parameter. |
renameResults | true if you what associated results files to be renamed as well |
void NXOpen::CAE::SimSolution::ResolveConstraintConflicts | ( | ) |
Runs the Assisted Conflict Check Mechanism for all constraints CAE::SimConstraint in an active solution CAE::SimSolution and/or in an active step CAE::SimSolutionStep , generating new constraints CAE::SimConstraint if there is any conflcit between the constraints.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::SetActiveStep | ( | NXOpen::CAE::SimSolutionStep * | activeStep | ) |
Sets the active step
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
activeStep | active step CAE::SimSolutionStep |
void NXOpen::CAE::SimSolution::SetFemValidInPost | ( | bool | valid | ) |
Specify whether NX Post should group entities based on node and element groups and meshes in the pre-processing model
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
valid | valid or not |
void NXOpen::CAE::SimSolution::SetInferredResultFile | ( | ) |
Clear previously specified result file location
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::SetInferredResultFileUnits | ( | ) |
Clears previously specified result file units
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::SetLocalResultFile | ( | const NXString & | dirpath, |
const NXString & | filename | ||
) |
Specify local result file
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
dirpath | directory name NOTE: The full Unicode character set is not supported for this parameter. |
filename | file name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimSolution::SetLocalResultFile | ( | const char * | dirpath, |
const char * | filename | ||
) |
Specify local result file
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
dirpath | directory name NOTE: The full Unicode character set is not supported for this parameter. |
filename | file name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimSolution::SetManagedResultFile | ( | const NXString & | file | ) |
Specify managed result file
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
file | file name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimSolution::SetManagedResultFile | ( | const char * | file | ) |
Specify managed result file
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
file | file name NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::CAE::SimSolution::SetResultFileUnits | ( | const std::vector< NXOpen::Unit * > & | units | ) |
Set result file units
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
units | 6 units for mass, length, time, temperature, angle, and thermal energy |
void NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce | ) |
Set the time properties for this solution based on the given condition sequences
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | populate solution time properties from CAE::SimConditionSequence |
void NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
int | numSteps | ||
) |
Set the time properties for this solution based on the given condition sequences and number of integration steps.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | populate solution time properties from CAE::SimConditionSequence |
numSteps | number of integration steps |
void NXOpen::CAE::SimSolution::SetTimePropsFromConditionSequence | ( | NXOpen::CAE::SimConditionSequence * | conditionSeqeunce, |
double | stepSize, | ||
NXOpen::Unit * | stepUnit | ||
) |
Set the time properties for this solution based on the given condition sequences and integration step size.
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
conditionSeqeunce | populate solution time properties from CAE::SimConditionSequence |
stepSize | size of integration steps |
stepUnit | step size Unit |
NXString NXOpen::CAE::SimSolution::SolutionType | ( | ) |
Returns the solution type.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
void NXOpen::CAE::SimSolution::Solve | ( | NXOpen::CAE::SimSolution::SolveOption | solveOption, |
NXOpen::CAE::SimSolution::SetupCheckOption | setupCheckOption | ||
) |
Solves the solution.
Created in NX6.0.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
solveOption | solve option |
setupCheckOption | setup check option |
NXOpen::CAE::PropertyTable* NXOpen::CAE::SimSolution::SolverOptionsPropertyTable | ( | ) |
Returns the property table associated with the solution's solver options
Created in NX6.0.2.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
NXString NXOpen::CAE::SimSolution::SolverType | ( | ) |
Returns the solver type.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
int NXOpen::CAE::SimSolution::StepCount | ( | ) |
Returns the number of steps.
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")